/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Hfacturas;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface HfacturasFacadeLocal {

    void create(Hfacturas hfacturas);

    void edit(Hfacturas hfacturas);

    void remove(Hfacturas hfacturas);

    Hfacturas find(Object id);

    List<Hfacturas> findAll();

    List<Hfacturas> findRange(int[] range);

    int count();

}
